QwtPointSeriesData(3)

NAME
QwtPointSeriesData - Interface for iterating over an array of points.

SYNOPSIS

#include <qwt_series_data.h>

Inherits QwtArraySeriesData< QPointF >.

  Public Member Functions
QwtPointSeriesData (const QVector< QPointF > &=QVector< QPointF >())
virtual QRectF boundingRect () const
Calculate the bounding rectangle.

  Additional Inherited Members

Detailed Description

Interface for iterating over an array of points.

Constructor & Destructor Documentation

  QwtPointSeriesData::QwtPointSeriesData (const QVector< QPointF > & samples = QVector<QPointF>())
Constructor

Parameters:
    samples Samples

Member Function Documentation

  QRectF QwtPointSeriesData::boundingRect () const [virtual]

Calculate the bounding rectangle. The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
    Bounding rectangle

Implements QwtSeriesData< QPointF >.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.